Package org.apache.ignite.internal

## Interface IgniteDiagnosticAware

All Known Implementing Classes:
  `GridDhtColocatedLockFuture`, `GridDhtPartitionsExchangeFuture`, `GridDhtTxFinishFuture`, `GridDhtTxPrepareFuture`, `GridNearOptimisticTxPrepareFuture`, `GridPartitionedSingleGetFuture`, `InitNewCoordinatorFuture`

    public interface IgniteDiagnosticAware

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `addDiagnosticRequest​(IgniteDiagnosticPrepareContext ctx)`

### Method Detail

#### addDiagnosticRequest

    void addDiagnosticRequest​(IgniteDiagnosticPrepareContext ctx)

Parameters:
  `ctx` - Context.